Package org.apache.sysds.runtime.controlprogram

## Class Program

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.Program

    public class Program
    extends Object

### Field Summary

Fields
`static String` `KEY_DELIM`

### Constructor Summary

Constructors
`Program()`
`Program​(DMLProgram prog)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFunctionProgramBlock​(String namespace, String fname, FunctionProgramBlock fpb)`
`void` `addFunctionProgramBlock​(String namespace, String fname, FunctionProgramBlock fpb, boolean opt)`
`void` `addFunctionProgramBlock​(String fkey, FunctionProgramBlock fpb, boolean opt)`
`void` `addProgramBlock​(ProgramBlock pb)`
`Object` `clone()`
`boolean` `containsFunctionProgramBlock​(String fkey, boolean opt)`
`boolean` `containsFunctionProgramBlock​(String namespace, String fname)`
`boolean` `containsFunctionProgramBlock​(String namespace, String fname, boolean opt)`
`void` `execute​(ExecutionContext ec)`
`DMLProgram` `getDMLProg()`
`FunctionProgramBlock` `getFunctionProgramBlock​(String fkey, boolean opt)`
`FunctionProgramBlock` `getFunctionProgramBlock​(String namespace, String fname)`
`FunctionProgramBlock` `getFunctionProgramBlock​(String namespace, String fname, boolean opt)`
`HashMap<String,​FunctionProgramBlock>` `getFunctionProgramBlocks()`
`HashMap<String,​FunctionProgramBlock>` `getFunctionProgramBlocks​(boolean opt)`
`FunctionDictionary<FunctionProgramBlock>` `getFunctionProgramBlocks​(String nsName)`
`ArrayList<ProgramBlock>` `getProgramBlocks()`
`void` `removeFunctionProgramBlock​(String namespace, String fname)`
`void` `setDMLProg​(DMLProgram prog)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY_DELIM

    public static final String KEY_DELIM

See Also:
  Constant Field Values

### Constructor Detail

#### Program

    public Program()

#### Program

    public Program​(DMLProgram prog)

### Method Detail

#### setDMLProg

    public void setDMLProg​(DMLProgram prog)

#### getDMLProg

    public DMLProgram getDMLProg()

#### addFunctionProgramBlock

    public void addFunctionProgramBlock​(String fkey,
                                        FunctionProgramBlock fpb,
                                        boolean opt)

#### addFunctionProgramBlock

    public void addFunctionProgramBlock​(String namespace,
                                        String fname,
                                        FunctionProgramBlock fpb)

#### addFunctionProgramBlock

    public void addFunctionProgramBlock​(String namespace,
                                        String fname,
                                        FunctionProgramBlock fpb,
                                        boolean opt)

#### removeFunctionProgramBlock

    public void removeFunctionProgramBlock​(String namespace,
                                           String fname)

#### getFunctionProgramBlocks

    public HashMap<String,​FunctionProgramBlock> getFunctionProgramBlocks()

#### getFunctionProgramBlocks

    public FunctionDictionary<FunctionProgramBlock> getFunctionProgramBlocks​(String nsName)

#### getFunctionProgramBlocks

    public HashMap<String,​FunctionProgramBlock> getFunctionProgramBlocks​(boolean opt)

#### containsFunctionProgramBlock

    public boolean containsFunctionProgramBlock​(String namespace,
                                                String fname)

#### containsFunctionProgramBlock

    public boolean containsFunctionProgramBlock​(String fkey,
                                                boolean opt)

#### containsFunctionProgramBlock

    public boolean containsFunctionProgramBlock​(String namespace,
                                                String fname,
                                                boolean opt)

#### getFunctionProgramBlock

    public FunctionProgramBlock getFunctionProgramBlock​(String namespace,
                                                        String fname)

#### getFunctionProgramBlock

    public FunctionProgramBlock getFunctionProgramBlock​(String fkey,
                                                        boolean opt)

#### getFunctionProgramBlock

    public FunctionProgramBlock getFunctionProgramBlock​(String namespace,
                                                        String fname,
                                                        boolean opt)

#### addProgramBlock

    public void addProgramBlock​(ProgramBlock pb)

#### getProgramBlocks

    public ArrayList<ProgramBlock> getProgramBlocks()

#### execute

    public void execute​(ExecutionContext ec)

#### clone

    public Object clone()